
pi-vote - Bug / Feature #1725

Circle fails with technical error message after connection loss

01 October 2011 08:42 - Ced

Status: Closed Start date: 01 October 2011

Priority: Normal Due date:  

Assignee: Exception % Done: 100%

Category: Usability Estimated time: 0.00 hour

Target version: N/A   

Request Type: Bug Report Affected Users: All

Affected Program: All Clients   

Description

Steps that led to the error

1. Start Circle

2. Perform a vote

3. Put the computer to sleep mode

4. Wake the computer

5. Perform "Abstimmungen"-"Aktualisieren"

Observation

The error message shown below was displayed.

When the error message is dismissed, the UI is ready for input again. Another click on "Aktualisieren" results in the same error

message (endless).

The user has no other chance than to close the program and restart it.

Expectation

The software catches the error gracefully and either tries to reconnect, restart the application or asks the user to restart it

herself.

Trace

Operating system:    Microsoft Windows NT 6.1.7601 Service Pack 1

Program version:     1.1.4.0

Library version:     1.1.4.0

Message:             Unable to write data to the transport connection: An established connection w

as aborted by the software in your host machine.

System.IO.IOException: Unable to write data to the transport connection: An established connection

 was aborted by the software in your host machine. ---> System.Net.Sockets.SocketException: An est

ablished connection was aborted by the software in your host machine

   at System.Net.Sockets.Socket.Send(Byte[] buffer, Int32 offset, Int32 size, SocketFlags socketFl

ags)

   at System.Net.Sockets.NetworkStream.Write(Byte[] buffer, Int32 offset, Int32 size)

   --- End of inner exception stack trace ---

   at Pirate.PiVote.Circle.CircleController.GetVotingList()

   at Pirate.PiVote.Circle.Master.RefreshInternal()

   at Pirate.PiVote.Circle.Master.RefreshVotings()

History

#1 - 06 November 2011 15:13 - Exception

- Category set to Usability

- Status changed from New to 2

- Assignee set to Exception

- Target version set to PiVote 1.3.2.0
Will now show an appropriate error message.

#2 - 06 November 2011 15:14 - Exception

- Status changed from 2 to 3

- % Done changed from 0 to 100

Applied in changeset r318.

#3 - 06 December 2011 23:15 - Exception

Applied in changeset commit:7afe5560a1262555defaae20ecca38ba5e7a5424.

#4 - 30 November 2012 16:43 - Apophis

closed after 12 months

#5 - 08 December 2012 23:46 - Exception

- Tracker changed from 1 to Bug / Feature

- Status changed from 3 to Needs Work

#6 - 09 December 2012 00:29 - Exception

- Status changed from Needs Work to Won't Do

- Target version changed from PiVote 1.3.2.0 to N/A

- Request Type set to Bug Report

- Affected Program set to All Clients

- Affected Users set to All

Just gone.

#7 - 08 January 2013 01:00 - admin

- Status changed from Won't Do to Closed

Automatically closed after 30 days
